Mailinglist Archive: opensuse-commit (1003 mails)
| < Previous | Next > |
commit aaa_base
- From: root@xxxxxxxxxxxxxxx (h_root)
- Date: Tue, 05 Jun 2007 12:46:45 +0200
- Message-id: <20070605104645.4FD6E678183@xxxxxxxxxxxxxxx>
Hello community,
here is the log from the commit of package aaa_base
checked in at Tue Jun 5 12:46:45 CEST 2007.
--------
--- aaa_base/aaa_base.changes 2007-06-04 18:29:43.000000000 +0200
+++ /mounts/work_src_done/STABLE/aaa_base/aaa_base.changes 2007-06-05 12:30:34.276307000 +0200
@@ -1,0 +2,9 @@
+Tue Jun 5 12:04:35 CEST 2007 - ro@xxxxxxx
+
+- etc/init.d/boot.localfs:
+ - handle /sys more like /proc
+- etc/init.d/halt:
+ - don't umount /proc in the end, halt(8) might need it
+ - source sysconfig/bootsplash since we try to use $SPLASH
+
+-------------------------------------------------------------------
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Other differences:
------------------
++++++ aaa_base.spec ++++++
--- /var/tmp/diff_new_pack.i17716/_old 2007-06-05 12:46:26.000000000 +0200
+++ /var/tmp/diff_new_pack.i17716/_new 2007-06-05 12:46:26.000000000 +0200
@@ -19,7 +19,7 @@
PreReq: /usr/bin/sed /usr/bin/grep /bin/mv /bin/cat /bin/date /usr/bin/cmp /bin/fillup /sbin/insserv net-tools
Autoreqprov: on
Version: 10.3
-Release: 39
+Release: 40
Summary: SUSE Linux Base Package
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Source: aaa_base.tar.bz2
@@ -131,6 +131,12 @@
%defattr(-,root,root)
%changelog
+* Tue Jun 05 2007 - ro@xxxxxxx
+- etc/init.d/boot.localfs:
+ - handle /sys more like /proc
+- etc/init.d/halt:
+ - don't umount /proc in the end, halt(8) might need it
+ - source sysconfig/bootsplash since we try to use $SPLASH
* Mon Jun 04 2007 - mfabian@xxxxxxx
- Bugzilla #279934: ssh sends the locale environment variables
even for non-login shells, therefore one should not test for
++++++ aaa_base.tar.bz2 ++++++
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/aaa_base/etc/init.d/boot.localfs new/aaa_base/etc/init.d/boot.localfs
--- old/aaa_base/etc/init.d/boot.localfs 2007-03-01 18:56:43.000000000 +0100
+++ new/aaa_base/etc/init.d/boot.localfs 2007-06-05 12:16:42.000000000 +0200
@@ -227,12 +227,14 @@
test $? -eq 0 && losetup -d $des ;;
esac
case "$fs" in
+ /sys) continue ;;
/proc) continue ;;
/dev/pts) continue ;;
/dev) continue ;;
/dev/shm) continue ;;
esac
case "$type" in
+ sysfs) umount -t sysfs $fs ;;
proc) umount -t proc $fs ;;
devpts) umount -t devpts $fs ;;
tmpfs) umount -t tmpfs $fs ;;
@@ -256,7 +258,7 @@
UMOUNT_FAILED=false
echo "Unmounting file systems"
- umount -avt noproc,nonfs,nonfs4,nosmbfs,nocifs,notmpfs || {
+ umount -avt noproc,nonfs,nonfs4,nosmbfs,nocifs,notmpfs,nosysfs || {
rc_status
UMOUNT_FAILED=true
}
@@ -273,7 +275,7 @@
case "$des" in ""|\#*) continue ;; esac
case "$type" in
swap) continue ;; # No umount on swap devices
- proc) continue ;; # Required
+ proc|sysfs) continue ;; # Required
nfs|nfs4) continue ;; # Avoid hanging reboot/halt
smbfs|cifs) continue ;; # Avoid hanging reboot/halt
esac
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/aaa_base/etc/init.d/halt new/aaa_base/etc/init.d/halt
--- old/aaa_base/etc/init.d/halt 2007-06-04 14:57:29.000000000 +0200
+++ new/aaa_base/etc/init.d/halt 2007-06-05 12:28:44.000000000 +0200
@@ -11,9 +11,12 @@
#
. /etc/rc.status
+. /etc/sysconfig/bootsplash
. /etc/sysconfig/clock
. /etc/sysconfig/shutdown
+test -e /proc/splash || SPLASH="no"
+
#
# Avoid being interrupted by child or keyboard
#
@@ -146,7 +149,6 @@
# kill splash animation
test "$SPLASH" = yes && /sbin/splash -q
-umount -anvt proc
# on umsdos fs this would lead to an error message, so direct errors to
# /dev/null
@@ -154,11 +156,10 @@
sync
# show "the system is down" message
-if test "$SPLASH" = yes ; then
- mount -nt proc proc /proc
- /sbin/splash -q -p 65535 -t "isdown"
- umount -n /proc
-fi
+test "$SPLASH" = yes && /sbin/splash -q -p 65535 -t "isdown"
+
+# we do not really unmount /proc any more since halt(8) might need it
+#umount -anvt proc
# Make reboot noise and wait a few seconds to give harddisks the chance
# to really flush their buffers before power goes down.
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Remember to have fun...
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-commit+help@xxxxxxxxxxxx
| < Previous | Next > |